package com.gyee.frame.model.custom.analysistask;

import java.util.Date;


public class Analysistask implements java.io.Serializable {

	// Fields

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String id;
	private String windpowerstationid;
	private String projectid;
	private String windturbineid;
	private String ruleid;
	private Integer timetype;
	private Date tasktime;
	private String analysistype;

	// Constructors

	/** default constructor */
	public Analysistask() {
	}

	public String getId() {
    	return id;
    }

	public void setId(String id) {
    	this.id = id;
    }

	public String getWindpowerstationid() {
    	return windpowerstationid;
    }

	public void setWindpowerstationid(String windpowerstationid) {
    	this.windpowerstationid = windpowerstationid;
    }

	public String getProjectid() {
    	return projectid;
    }

	public void setProjectid(String projectid) {
    	this.projectid = projectid;
    }

	public String getWindturbineid() {
    	return windturbineid;
    }

	public void setWindturbineid(String windturbineid) {
    	this.windturbineid = windturbineid;
    }

	public String getRuleid() {
    	return ruleid;
    }

	public void setRuleid(String ruleid) {
    	this.ruleid = ruleid;
    }

	public Integer getTimetype() {
    	return timetype;
    }

	public void setTimetype(Integer timetype) {
    	this.timetype = timetype;
    }

	public Date getTasktime() {
    	return tasktime;
    }

	public void setTasktime(Date tasktime) {
    	this.tasktime = tasktime;
    }

	public String getAnalysistype() {
    	return analysistype;
    }

	public void setAnalysistype(String analysistype) {
    	this.analysistype = analysistype;
    }

	
}